PDA

View Full Version : Qt 5.11 TLS Support



PNaveen
6th July 2018, 14:23
I know that qt 5.11 will support TLS 1.2 by default, but does it support TLS 1.3, do i need to upgrade my code. Currently i'm using Qt 4.7
Thanks in advance

ChristianEhrlicher
6th July 2018, 17:45
http://doc.qt.io/qt-5/qsslsocket.html#details:
QSslSocket establishes a secure, encrypted TCP connection you can use for transmitting encrypted data. It can operate in both client and server mode, and it supports modern SSL protocols, including SSL 3 and TLS 1.2